Last modified: 15 May 2009
Name: H5Pget_fapl_mpio
Signature:
  herr_t `H5Pget_fapl_mpio`( hid_t `fapl_id`, MPI_Comm *`comm`, MPI_Info *`info` )

Purpose:
  Returns MPI communicator information.

Description:
  If the file access property list is set to the `H5FD_MPIO` driver, `H5Pget_fapl_mpio` returns duplicates of the stored MPI communicator and Info object through the `comm` and `info` pointers, if those values are non-null.

  Since the MPI communicator and Info object are duplicates of the stored information, future modifications to the access property list will not affect them. It is the responsibility of the application to free these objects.

Parameters:

hid_t `fapl_id` | IN: File access property list identifier
MPI_Comm *`comm` | OUT: MPI-2 communicator
MPI_Info *`info` | OUT: MPI-2 Info object

Returns:
  Returns a non-negative value if successful. Otherwise returns a negative value.

Fortran90 Interface: h5pget_fapl_mpio_f

      SUBROUTINE h5pget_fapl_mpio_f(prp_id, comm, info, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: prp_id ! Property list identifier
        INTEGER, INTENT(OUT) :: comm         ! Buffer to return communicator
        INTEGER, INTENT(IN) :: info          ! Buffer to return info object as
                                             ! defined in MPI_FILE_OPEN of MPI-2
        INTEGER, INTENT(OUT) :: hdferr       ! Error code
                                             ! 0 on success and -1 on failure
      END SUBROUTINE h5pget_fapl_mpio_f

History:

Release | Change
1.4.5 | Handling of the MPI Communicator and Info object changed at this release. A duplicate of each of these objects is now returned instead of pointers to each object.
1.4.0 | C function introduced in this release.